Unicode on win32

As many PostgreSQL users are aware, PostgreSQL 8.0 does not fully support Unicode on win32 due to limitations in the API. Hopefully this will be fixed in 8.1, as we now have two different patches that solves this problem in different ways. The patches were posted a little over a week ago, but due to me sending it to the wrong list it didn't go through because of size. It has now been sent to -patches as well, and is available.

People interested in this are encouraged to apply one or both patches (the native patch is a whole lot easier than the ICU one, as it has much fewer dependencies) and test, test, test! You can grab the patches from the list archive. Let us know your results by a mail to -hackers-win32 or plain -hackers.